define(['text!templates/SeatFeesView.html'], function (template) {
    window.SeatFeesView = Backbone.View.extend({
        localize: window.ObjectCollections.Localization.result,

		render: function () {
		    $(this.el).html(_.template(template, {
		        localize: this.localize,
		        zones: this.options.zones,
		        theaterCulture: this.options.culture
		    }));

		    return $(this.el);
		},
		
		events: {
			"tap #closeButton": "pageClose"
		},
		
		pageClose: function(event) {
			event.preventDefault();
			this.options.callback();
			
			return false;
		}
	});
	
	return window.SeatFeesView;
});