﻿define(["models/loyaltyMemberLookupModel"], function (loyaltyMemberLookupModel) {
    window.SeatMessageCollection = BaseCollection.extend({
        model: loyaltyMemberLookupModel,
        initialize: function (arg) {
        },
        url: function () {
            return (this.EServerRESTUri || this.RESTUri) + "loyalty/" + this.theaterId + "/MemberLookup/" + this.email + "/Email";
        },
        parse: function (resp) {
            this.result_code = resp.result_code;
            if (resp.result_code === 200) {
                return resp.result.memberInfo;
            }
            this.error_sub_code = resp.result.error_sub_code;
            this.errorMessage = resp.result.message;
            return resp.result;
        },
        getLoyaltyDetailsByEmail: function (options) {
            this.theaterId = options.theaterId;
            this.email = options.email;

            this.fetch({
                success: function (result) {
                    options.callback(result);
                },
                error: function () {
                    options.callback();
                }
            });
        }
    });

    // Returns the Model class
    return window.SeatMessageCollection;
});