﻿define(['models/baseModel'], function() {
    window.BraintreeModel = BaseModel.extend({
        url: function() {
            return  (this.EServerRESTUri || this.RESTUri) + 'BraintreePayments/clienttoken';
        },

        getToken: function (successCallback, errorCallback) {
            this.fetch({
                success: function (response) {
                    var token = response.get('result');
                    successCallback(token);
                },
                error: function(error) {
                    errorCallback(error);
                }
            });
        }
    });

    return window.BraintreeModel;
});